Index: serefpolicy-contrib-20140730/oddjob.if
===================================================================
--- serefpolicy-contrib-20140730.orig/oddjob.if
+++ serefpolicy-contrib-20140730/oddjob.if
@@ -1,4 +1,8 @@
-## <summary>D-BUS service which runs odd jobs on behalf of client applications.</summary>
+## <summary>
+##	Oddjob provides a mechanism by which unprivileged applications can
+##	request that specified privileged operations be performed on their
+##	behalf.
+## </summary>
 
 ########################################
 ## <summary>
@@ -15,14 +19,32 @@ interface(`oddjob_domtrans',`
 		type oddjob_t, oddjob_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, oddjob_exec_t, oddjob_t)
 ')
 
+#####################################
+## <summary>
+##	Do not audit attempts to read and write 
+##	oddjob fifo file.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`oddjob_dontaudit_rw_fifo_file',`
+	gen_require(`
+		type oddjob_t;
+	')
+
+	dontaudit $1 oddjob_t:fifo_file rw_inherited_fifo_file_perms;
+')
+
 ########################################
 ## <summary>
-##	Make the specified program domain
-##	accessable from the oddjob.
+##	Make the specified program domain accessable
+##	from the oddjob.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -41,6 +63,7 @@ interface(`oddjob_system_entry',`
 	')
 
 	domtrans_pattern(oddjob_t, $2, $1)
+	domain_user_exemption_target($1)
 ')
 
 ########################################
@@ -64,32 +87,45 @@ interface(`oddjob_dbus_chat',`
 	allow oddjob_t $1:dbus send_msg;
 ')
 
-########################################
+######################################
 ## <summary>
-##	Execute a domain transition to
-##	run oddjob mkhomedir.
+##	Send a SIGCHLD signal to oddjob.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed to transition.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
 #
+interface(`oddjob_sigchld',`
+	gen_require(`
+		type oddjob_t;
+	')
+
+	allow $1 oddjob_t:process sigchld;
+')
+
+########################################
+## <summary>
+##	Execute a domain transition to run oddjob_mkhomedir.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
 interface(`oddjob_domtrans_mkhomedir',`
 	gen_require(`
 		type oddjob_mkhomedir_t, oddjob_mkhomedir_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, oddjob_mkhomedir_exec_t, oddjob_mkhomedir_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute oddjob mkhomedir in the
-##	oddjob mkhomedir domain and allow
-##	the specified role the oddjob
-##	mkhomedir domain.
+##	Execute the oddjob_mkhomedir program in the oddjob_mkhomedir domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -105,46 +141,70 @@ interface(`oddjob_domtrans_mkhomedir',`
 #
 interface(`oddjob_run_mkhomedir',`
 	gen_require(`
-		attribute_role oddjob_mkhomedir_roles;
+		type oddjob_mkhomedir_t;
 	')
 
 	oddjob_domtrans_mkhomedir($1)
-	roleattribute $2 oddjob_mkhomedir_roles;
+	role $2 types oddjob_mkhomedir_t;
 ')
 
-#####################################
+#######################################
 ## <summary>
-##	Do not audit attempts to read and write 
-##	oddjob fifo files.
+##  Execute oddjob in the oddjob domain.
 ## </summary>
 ## <param name="domain">
-##	<summary>
-##	Domain to not audit.
-##	</summary>
+##  <summary>
+##  Domain allowed to transition.
+##  </summary>
 ## </param>
 #
-interface(`oddjob_dontaudit_rw_fifo_files',`
-	gen_require(`
-		type oddjob_t;
-	')
+interface(`oddjob_systemctl',`
+    gen_require(`
+        type oddjob_unit_file_t;
+        type oddjob_t;
+    ')
+
+    systemd_exec_systemctl($1)
+    allow $1 oddjob_unit_file_t:file read_file_perms;
+    allow $1 oddjob_unit_file_t:service manage_service_perms;
 
-	dontaudit $1 oddjob_t:fifo_file rw_fifo_file_perms;
+    ps_process_pattern($1, oddjob_t)
 ')
 
-######################################
+########################################
 ## <summary>
-##	Send child terminated signals to oddjob.
+##	Create a domain which can be started by init,
+##	with a range transition.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed access.
+##	Type to be used as a domain.
+##	</summary>
+## </param>
+## <param name="entry_point">
+##	<summary>
+##	Type of the program to be used as an entry point to this domain.
+##	</summary>
+## </param>
+## <param name="range">
+##	<summary>
+##	Range for the domain.
 ##	</summary>
 ## </param>
 #
-interface(`oddjob_sigchld',`
+interface(`oddjob_ranged_domain',`
 	gen_require(`
 		type oddjob_t;
 	')
 
-	allow $1 oddjob_t:process sigchld;
+	oddjob_system_entry($1, $2)
+
+	ifdef(`enable_mcs',`
+		range_transition oddjob_t $2:process $3;
+	')
+
+	ifdef(`enable_mls',`
+		range_transition oddjob_t $2:process $3;
+		mls_rangetrans_target($1)
+	')
 ')
Index: serefpolicy-contrib-20140730/oddjob.te
===================================================================
--- serefpolicy-contrib-20140730.orig/oddjob.te
+++ serefpolicy-contrib-20140730/oddjob.te
@@ -5,8 +5,6 @@ policy_module(oddjob, 1.10.0)
 # Declarations
 #
 
-attribute_role oddjob_mkhomedir_roles;
-
 type oddjob_t;
 type oddjob_exec_t;
 domain_type(oddjob_t)
@@ -20,18 +18,22 @@ type oddjob_mkhomedir_exec_t;
 domain_type(oddjob_mkhomedir_t)
 domain_obj_id_change_exemption(oddjob_mkhomedir_t)
 init_system_domain(oddjob_mkhomedir_t, oddjob_mkhomedir_exec_t)
-role oddjob_mkhomedir_roles types oddjob_mkhomedir_t;
+oddjob_system_entry(oddjob_mkhomedir_t, oddjob_mkhomedir_exec_t)
 
+# pid files
 type oddjob_var_run_t;
 files_pid_file(oddjob_var_run_t)
 
+type oddjob_unit_file_t;
+systemd_unit_file(oddjob_unit_file_t)
+
 ifdef(`enable_mcs',`
 	init_ranged_daemon_domain(oddjob_t, oddjob_exec_t, s0 - mcs_systemhigh)
 ')
 
 ########################################
 #
-# Local policy
+# oddjob local policy
 #
 
 allow oddjob_t self:capability setgid;
@@ -43,8 +45,6 @@ manage_files_pattern(oddjob_t, oddjob_va
 manage_sock_files_pattern(oddjob_t, oddjob_var_run_t, oddjob_var_run_t)
 files_pid_filetrans(oddjob_t, oddjob_var_run_t, { file sock_file })
 
-domtrans_pattern(oddjob_t, oddjob_mkhomedir_exec_t, oddjob_mkhomedir_t)
-
 kernel_read_system_state(oddjob_t)
 
 corecmd_exec_bin(oddjob_t)
@@ -54,9 +54,9 @@ mcs_process_set_categories(oddjob_t)
 
 selinux_compute_create_context(oddjob_t)
 
+
 auth_use_nsswitch(oddjob_t)
 
-miscfiles_read_localization(oddjob_t)
 
 locallogin_dontaudit_use_fds(oddjob_t)
 
@@ -65,19 +65,15 @@ optional_policy(`
 	dbus_connect_system_bus(oddjob_t)
 ')
 
-optional_policy(`
-	unconfined_domtrans(oddjob_t)
-')
-
 ########################################
 #
-# Mkhomedir local policy
+# oddjob_mkhomedir local policy
 #
 
 allow oddjob_mkhomedir_t self:capability { chown fowner fsetid dac_override };
 allow oddjob_mkhomedir_t self:process setfscreate;
 allow oddjob_mkhomedir_t self:fifo_file rw_fifo_file_perms;
-allow oddjob_mkhomedir_t self:unix_stream_socket { accept listen };
+allow oddjob_mkhomedir_t self:unix_stream_socket create_stream_socket_perms;
 
 kernel_read_system_state(oddjob_mkhomedir_t)
 
@@ -85,7 +81,6 @@ auth_use_nsswitch(oddjob_mkhomedir_t)
 
 logging_send_syslog_msg(oddjob_mkhomedir_t)
 
-miscfiles_read_localization(oddjob_mkhomedir_t)
 
 selinux_get_fs_mount(oddjob_mkhomedir_t)
 selinux_validate_context(oddjob_mkhomedir_t)
@@ -98,8 +93,11 @@ seutil_read_config(oddjob_mkhomedir_t)
 seutil_read_file_contexts(oddjob_mkhomedir_t)
 seutil_read_default_contexts(oddjob_mkhomedir_t)
 
+# Add/remove user home directories
 userdom_home_filetrans_user_home_dir(oddjob_mkhomedir_t)
-userdom_manage_user_home_content_dirs(oddjob_mkhomedir_t)
-userdom_manage_user_home_content_files(oddjob_mkhomedir_t)
 userdom_manage_user_home_dirs(oddjob_mkhomedir_t)
-userdom_user_home_dir_filetrans_user_home_content(oddjob_mkhomedir_t, notdevfile_class_set)
+userdom_manage_user_home_content_dirs(oddjob_mkhomedir_t)
+userdom_manage_user_home_content(oddjob_mkhomedir_t)
+userdom_home_manager(oddjob_mkhomedir_t)
+userdom_stream_connect(oddjob_mkhomedir_t)
+
Index: serefpolicy-contrib-20140730/openct.te
===================================================================
--- serefpolicy-contrib-20140730.orig/openct.te
+++ serefpolicy-contrib-20140730/openct.te
@@ -1,4 +1,4 @@
-policy_module(openct, 1.7.0)
+policy_module(openct, 1.6.1)
 
 ########################################
 #
@@ -29,12 +29,12 @@ manage_files_pattern(openct_t, openct_va
 manage_sock_files_pattern(openct_t, openct_var_run_t, openct_var_run_t)
 files_pid_filetrans(openct_t, openct_var_run_t, { dir file sock_file })
 
-can_exec(openct_t, openct_exec_t)
-
 kernel_read_kernel_sysctls(openct_t)
 kernel_list_proc(openct_t)
 kernel_read_proc_symlinks(openct_t)
 
+can_exec(openct_t, openct_exec_t)
+
 dev_read_sysfs(openct_t)
 dev_rw_usbfs(openct_t)
 dev_rw_smartcard(openct_t)
@@ -42,15 +42,12 @@ dev_rw_generic_usb_dev(openct_t)
 
 domain_use_interactive_fds(openct_t)
 
-files_read_etc_files(openct_t)
 
 fs_getattr_all_fs(openct_t)
 fs_search_auto_mountpoints(openct_t)
 
 logging_send_syslog_msg(openct_t)
 
-miscfiles_read_localization(openct_t)
-
 userdom_dontaudit_use_unpriv_user_fds(openct_t)
 userdom_dontaudit_search_user_home_dirs(openct_t)
 
Index: serefpolicy-contrib-20140730/openhpid.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/openhpid.fc
@@ -0,0 +1,8 @@
+
+/etc/rc\.d/init\.d/openhpid	--	gen_context(system_u:object_r:openhpid_initrc_exec_t,s0)
+
+/usr/sbin/openhpid		--	gen_context(system_u:object_r:openhpid_exec_t,s0)
+
+/var/lib/openhpi(/.*)?		gen_context(system_u:object_r:openhpid_var_lib_t,s0)
+
+/var/run/openhpid\.pid	--	gen_context(system_u:object_r:openhpid_var_run_t,s0)
Index: serefpolicy-contrib-20140730/openhpid.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/openhpid.if
@@ -0,0 +1,159 @@
+
+## <summary>policy for openhpid</summary>
+
+
+########################################
+## <summary>
+##	Transition to openhpid.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`openhpid_domtrans',`
+	gen_require(`
+		type openhpid_t, openhpid_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, openhpid_exec_t, openhpid_t)
+')
+
+
+########################################
+## <summary>
+##	Execute openhpid server in the openhpid domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openhpid_initrc_domtrans',`
+	gen_require(`
+		type openhpid_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, openhpid_initrc_exec_t)
+')
+
+
+########################################
+## <summary>
+##	Search openhpid lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openhpid_search_lib',`
+	gen_require(`
+		type openhpid_var_lib_t;
+	')
+
+	allow $1 openhpid_var_lib_t:dir search_dir_perms;
+	files_search_var_lib($1)
+')
+
+########################################
+## <summary>
+##	Read openhpid lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openhpid_read_lib_files',`
+	gen_require(`
+		type openhpid_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	read_files_pattern($1, openhpid_var_lib_t, openhpid_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage openhpid lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openhpid_manage_lib_files',`
+	gen_require(`
+		type openhpid_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_files_pattern($1, openhpid_var_lib_t, openhpid_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage openhpid lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openhpid_manage_lib_dirs',`
+	gen_require(`
+		type openhpid_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_dirs_pattern($1, openhpid_var_lib_t, openhpid_var_lib_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an openhpid environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	Role allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`openhpid_admin',`
+	gen_require(`
+		type openhpid_t;
+	type openhpid_initrc_exec_t;
+	type openhpid_var_lib_t;
+	')
+
+	allow $1 openhpid_t:process { ptrace signal_perms };
+	ps_process_pattern($1, openhpid_t)
+
+	openhpid_initrc_domtrans($1)
+	domain_system_change_exemption($1)
+	role_transition $2 openhpid_initrc_exec_t system_r;
+	allow $2 system_r;
+
+	files_search_var_lib($1)
+	admin_pattern($1, openhpid_var_lib_t)
+
+
+
+')
+
Index: serefpolicy-contrib-20140730/openhpid.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/openhpid.te
@@ -0,0 +1,47 @@
+policy_module(openhpid, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type openhpid_t;
+type openhpid_exec_t;
+init_daemon_domain(openhpid_t, openhpid_exec_t)
+
+type openhpid_initrc_exec_t;
+init_script_file(openhpid_initrc_exec_t)
+
+type openhpid_var_lib_t;
+files_type(openhpid_var_lib_t)
+
+type openhpid_var_run_t;
+files_pid_file(openhpid_var_run_t)
+
+########################################
+#
+# openhpid local policy
+#
+
+allow openhpid_t self:capability { kill };
+allow openhpid_t self:process signal_perms;
+
+allow openhpid_t self:fifo_file rw_fifo_file_perms;
+allow openhpid_t self:netlink_route_socket r_netlink_socket_perms;
+allow openhpid_t self:unix_stream_socket create_stream_socket_perms;
+allow openhpid_t self:tcp_socket create_stream_socket_perms;
+allow openhpid_t self:udp_socket create_socket_perms;
+
+manage_dirs_pattern(openhpid_t, openhpid_var_lib_t, openhpid_var_lib_t)
+manage_files_pattern(openhpid_t, openhpid_var_lib_t, openhpid_var_lib_t)
+files_var_lib_filetrans(openhpid_t, openhpid_var_lib_t, { dir file })
+
+manage_files_pattern(openhpid_t, openhpid_var_run_t, openhpid_var_run_t)
+files_pid_filetrans(openhpid_t, openhpid_var_run_t, { file })
+
+corenet_tcp_bind_generic_node(openhpid_t)
+corenet_tcp_bind_openhpid_port(openhpid_t)
+
+dev_read_urand(openhpid_t)
+
+logging_send_syslog_msg(openhpid_t)
Index: serefpolicy-contrib-20140730/openhpi.te
===================================================================
--- serefpolicy-contrib-20140730.orig/openhpi.te
+++ serefpolicy-contrib-20140730/openhpi.te
@@ -50,7 +50,6 @@ corenet_tcp_sendrecv_openhpid_port(openh
 
 dev_read_urand(openhpid_t)
 
-files_read_etc_files(openhpid_t)
 
 logging_send_syslog_msg(openhpid_t)
 
Index: serefpolicy-contrib-20140730/openshift.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/openshift.fc
@@ -0,0 +1,28 @@
+/etc/rc\.d/init\.d/libra        gen_context(system_u:object_r:openshift_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/mcollective        gen_context(system_u:object_r:openshift_initrc_exec_t,s0)
+
+/etc/cron.minutely/openshift-facts -- gen_context(system_u:object_r:openshift_cron_exec_t,s0)
+
+/var/lib/stickshift(/.*)?            gen_context(system_u:object_r:openshift_var_lib_t,s0)
+/var/lib/stickshift/.*/data(/.*)?	       gen_context(system_u:object_r:openshift_rw_file_t,s0)
+/var/lib/containers/home(/.*)?            gen_context(system_u:object_r:openshift_var_lib_t,s0)
+/var/lib/openshift(/.*)?            gen_context(system_u:object_r:openshift_var_lib_t,s0)
+/var/lib/openshift/.*/data(/.*)?          gen_context(system_u:object_r:openshift_rw_file_t,s0)
+
+/var/lib/stickshift/.*/\.tmp(/.*)?        gen_context(system_u:object_r:openshift_tmp_t,s0)
+/var/lib/stickshift/.*/\.sandbox(/.*)?        gen_context(system_u:object_r:openshift_tmp_t,s0)
+/var/lib/openshift/.*/\.tmp(/.*)?        gen_context(system_u:object_r:openshift_tmp_t,s0)
+/var/lib/openshift/.*/\.sandbox(/.*)?        gen_context(system_u:object_r:openshift_tmp_t,s0)
+
+/var/log/mcollective\.log.*        --    gen_context(system_u:object_r:openshift_log_t,s0)
+/var/log/openshift(/.*)?	 gen_context(system_u:object_r:openshift_log_t,s0)
+
+/usr/s?bin/(oo|rhc)-cgroup-read        --    gen_context(system_u:object_r:openshift_cgroup_read_exec_t,s0)
+
+/usr/s?bin/(oo|rhc)-restorer           --    gen_context(system_u:object_r:openshift_initrc_exec_t,s0)
+/usr/s?bin/(oo|rhc)-restorer-wrapper.sh    --  gen_context(system_u:object_r:openshift_script_exec_t,s0)
+/usr/s?bin/oo-admin-ctl-gears	--	gen_context(system_u:object_r:openshift_initrc_exec_t,s0)
+/usr/s?bin/mcollectived			--		gen_context(system_u:object_r:openshift_initrc_exec_t,s0)
+
+/var/run/stickshift(/.*)?		    	gen_context(system_u:object_r:openshift_var_run_t,s0)
+/var/run/openshift(/.*)?               gen_context(system_u:object_r:openshift_var_run_t,s0)
